#!/bin/bash
#Module purpose
#==============
#
# AutoRestart of Domogik 1wire Plugin in case of failure
#
#Implements
#==========
# Options: debugmode=1
#
#@author: DomoPhil <philmadomo <AT> free.fr >
#@license:
#@organization: http://madomotique.wordpress.com
#------------------------------------------------
#
# STATIC VAR: TO CONFIGURE !!!
debugmode=0
scriptdir=/home/<folder>
TempProbe=http://<DMG IP>:40405/stats/<PROBE ID>/temperature/latest
Cmdpluginoff=http://<DMG IP>:40405/plugin/stop/onewire/<SERVER NAME>
Cmdpluginon=http://<DMG IP>:40405/plugin/start/onewire/<SERVER NAME>
LOGFILE=/var/log/AutoRestartDMGplugin.log
if [ "${1}" ]; then
        debugmode=1
fi

nowtempext=$($scriptdir/gettemp.sh $TempProbe)
if [ "$(printf "$nowtempext" | cut -b "1")" = "E" ]; then #test Error
	if [ "$debugmode" = "1" ]; then
		echo "[debug] TempProbe Error"
	fi
	if [ $($scriptdir/Restartplugin.sh $Cmdpluginoff) = "OK" ];then
		if [ "$debugmode" = "1" ]; then
			echo "[debug] plugin 1wire stopped"
		fi
	else
		if [ "$debugmode" = "1" ]; then
			echo "[debug] Error plugin 1wire not stopped"
		fi
	fi
	sleep 20
	if [ $($scriptdir/Restartplugin.sh $Cmdpluginon) = "OK" ];then
                if [ "$debugmode" = "1" ]; then
                        echo "[debug] plugin 1wire started"
                fi
        else
                if [ "$debugmode" = "1" ]; then
                        echo "[debug] Error plugin 1wire not started"
                fi
        fi
	echo "$(date +'%D %T'): 1wire plugin restarted" >> $LOGFILE
else
	if [ "$debugmode" = "1" ]; then
                echo "[debug]TempProbe OK"
        fi
	
fi


